#include <iostream>
#include<bits/stdc++.h>
using namespace std;
int brojac=0;
void duplo(int a[],int b[],int n)
{
    for(int i=0;i<n;i++)
    {
        for(int k=0;k<n;k++)
            if(k==i)
            k++;
        else
            for(int j=0;j<n;j++)
    {
            if(j==i||j==k)
            j++;
        else
            for(int m=0;m<n;m++)
    {
            if(m==i||m==k||m==j)
            m++;
        else
        {


            if(((a[i]-a[k])*(b[j]-b[m]))==((a[j]-a[m])*(b[i]-b[k])))
               {

                   if((a[i]-a[k])*(a[i]-a[k])+(b[i]-b[k])*(b[i]-b[k])==4*((a[j]-a[m])*(a[j]-a[m])+(b[j]-b[m])*(b[j]-b[m]))) brojac++;

               }
        }
    }
    }
    }
}
int main()
{
    int a[10000],b[10000],n;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>b[i];
    }
    duplo(a,b,n);
    cout << brojac << endl;
    return 0;
}